Subject: Re: [PATCH v2] gnu: gnunet: Update to 0.24.0.

From: Noé Lopez <[email-masked]>
Date: Fri, 06 Jun 2025 22:45:46 +0200

Andreas Enge <[email-masked]> writes:

> From: Noé Lopez <[email-masked]>
>
> * gnu/packages/gnunet.scm (gnunet): Update to 0.24.0.
> Restore working tests.
> [build-system]: Switch to meson-build-system.
>
> Change-Id: I60bc22150ba678f0bc552df4e9cbeb1c6eb1d79a
> Signed-off-by: Andreas Enge <[email-masked]>
> ---
> Hello Noé,
>
> here is an updated patch, also with an expanded commit message.
>
> The dependent package guile-gnunet (still) fails.
> The other dependent package gnunet-gtk newly fails with this error
> message:
> starting phase `configure'
> usage: meson [-h]
>              {setup,configure,dist,install,introspect,init,test,wrap,subprojects,rewrite,compile,devenv,env2mfile,format,fmt,help}
>              ...
> meson: error: unrecognized arguments: --with-libunique --with-qrencode --with-gnunet=/gnu/store/q4zy0lm60hwihfbblq936rsripdxis2v-gnunet-0.24.0
> error: in phase 'configure': uncaught exception:
> %exception #<&invoke-error program: "meson" arguments: ("setup" "--prefix=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0" "--buildtype=debugoptimized" "-Dc_link_args=-Wl,-rpath=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0/lib" "-Dcpp_link_args=-Wl,-rpath=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0/lib" "--with-libunique" "--with-qrencode" "--with-gnunet=/gnu/store/q4zy0lm60hwihfbblq936rsripdxis2v-gnunet-0.24.0" "/tmp/guix-build-gnunet-gtk-0.23.0.drv-0/gnunet-gtk-0.23.0") exit-status: 2 term-signal: #f stop-signal: #f>
> phase `configure' failed after 0.4 seconds
> command "meson" "setup" "--prefix=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0" "--buildtype=debugoptimized" "-Dc_link_args=-Wl,-rpath=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0/lib" "-Dcpp_link_args=-Wl,-rpath=/gnu/store/mwd980rahqkhrh95gky156glp0dpggbi-gnunet-gtk-0.23.0/lib" "--with-libunique" "--with-qrencode" "--with-gnunet=/gnu/store/q4zy0lm60hwihfbblq936rsripdxis2v-gnunet-0.24.0" "/tmp/guix-build-gnunet-gtk-0.23.0.drv-0/gnunet-gtk-0.23.0" failed with status 2
> build process 10 exited with status 256
>
> Could you maybe have a look?
>

Hi Andreas,

Thank you for taking a look. Oddly, I remember having made a patch for
0.24.1 to send here but I must have completely forgotten to send it.

Well, there’s GNUNet 0.24.2 now so let me do a new one.

About the dependent packages, guile-gnunet has been unmaintained for a
while IIRC and gnunet-gtk is left in the dust since some time too and
didn’t really work last time I tried it. I will have a look though.

Good day,
Noé